////////////////////////////////////////////////////////////
// epsplot takes a list of circles of
// the form [c,d,e], with center -d/c
// and radius 1/(e^(1/2)*c) and prints
// an eps file of the region bounded
// by the circles.
////////////////////////////////////////////////////////////
epsplot2:=procedure(f,clist,width);
R:=RealField(10);
fprintf f, "%%\\!PS-Adobe-3.0 EPSF-3.0 \n";
fprintf f, "%%%%BoundingBox: 88 88 452 451 \n";
fprintf f, "%%%%Title \n";
fprintf f, "%%%%Creator: cjc \n";
fprintf f, "%%%%CreationDate \n";
fprintf f, "%%%%Pages: 1 \n";
fprintf f, "%%%%EndComments \n";
fprintf f, "%%%%Page: 1 1 \n";
fprintf f, "%%%%BeginDocument \n";
fprintf f, " \n";
fprintf f, "/pagewidth 5 def \n"; 
fprintf f, "/linewidth2 2 def \n";
fprintf f, "/linewidth1 1 def \n";
fprintf f, "/scale1  pagewidth 72 mul def \n";
fprintf f, "/dxy 0.25 def \n";
fprintf f, "/black 0 def \n";
fprintf f, "/white 1 def \n";
fprintf f, " \n";
fprintf f, "scale1 scale1 scale \n";
fprintf f, "dxy dxy translate \n";
fprintf f, " \n";
fprintf f, "/lw2 linewidth2 scale1 div def \n";
fprintf f, "/lw1 linewidth1 scale1 div def \n";
fprintf f, " \n";
fprintf f, "lw1 setlinewidth \n";
fprintf f, " \n"; 
fprintf f, "/dc {newpath 0 180 arc closepath stroke} def \n";
fprintf f, "/df {newpath 0 180 arc closepath fill} def \n";
fprintf f, "/dl {newpath moveto lineto stroke} def \n";
fprintf f, "/bf {4 copy 7 1 roll 4 -1 roll 5 1 roll 2 1 roll 4 1 roll moveto lineto lineto lineto closepath fill} def \n";
fprintf f, " \n";
for i:=1 to #clist do
v:=clist[i];
fprintf f, "%o %o %o dc \n",R!((1/width)*(-v[2]/v[1])),0,R!((1/width)*(1/(v[1]*(v[3])^(1/2))));
end for;
fprintf f, "white setgray \n";
fprintf f, "lw1 setlinewidth \n";
fprintf f, "-2 0 -2 2 bf \n";
fprintf f, "-2 2 0 -2 bf \n";
fprintf f, "1 3 -3 2 bf \n";
fprintf f, "  \n";
fprintf f, "black setgray  \n";
fprintf f, " \n"; 
fprintf f, "0 0 0 1 dl  \n";
fprintf f, "0 0 1 0 dl  \n";
fprintf f, "1 0 1 1 dl  \n";
fprintf f, " \n"; 
fprintf f, "showpage  \n";
fprintf f, " \n"; 
fprintf f, "%%%%EndDocument  \n";
fprintf f, "%%%%Trailer  \n";
end procedure;//of epsplot2
////////////////////////////////////////////////////////////




