////////////////////////////////////////////////////////////
// gact computes the action of the
// matrix [a,b,c,d] by
// a fractional linear transformation
// (az+b)/(cz+d) on the point
// p+q*sqrt(r)
////////////////////////////////////////////////////////////
gact:=function(mat,point);

a:=mat[1];
b:=mat[2];
c:=mat[3];
d:=mat[4];

p:=point[1];
q:=point[2];
r:=point[3];

numy:=(a*q*d-b*c*q);
den:=(c^2*p^2+2*c*p*d-c^2*q^2*r+d^2);
numx:=(a*p^2*c+a*p*d-a*q^2*r*c+b*c*p+b*d);

if den eq 0 then 
 print "Error in gact, denominator is zero";
 return -1;
else
 xi:=numx/den;
 yi:=numy/den;
 return [xi,yi,r];
end if;
end function;//of gact
////////////////////////////////////////////////////////////


