////////////////////////////////////////////////////////////
// Given a fundamental domain for a group g, bounded by
// x=u1, x=u2, computing the genus. Uses the computation
// of the pairing of the sides of the fundamental domain
// and the cycles of the group on the vertices
// of the fundamental domain. The formula is standard.
////////////////////////////////////////////////////////////
genus:=function(u1,u2,refined_cover,g);

pairs:=pairing(u1,u2,refined_cover,g);
v:=vorbits(pairs);
d:=#[y : y in pairs | y[1] eq y[2]];

return Integers()!( (#pairs-#v-d)/2 );

end function;//of genus
////////////////////////////////////////////////////////////
