////////////////////////////////////////////////////////////
// This file makes a tex file of all the fundamental 
// regions of the genus zero groups.
// Modify to make a tex file for the genus one groups.
////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////
// load data
////////////////////////////////////////////////////////////
load "output/fund_0.dat";
////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////
// initialize data file
////////////////////////////////////////////////////////////
Data_file := "output/genus0_plots.tex";

current_date := Pipe("date","");
fprintf Data_file,"%o%o\n","% The current date is ",current_date;
fprintf Data_file,"%o\n\n","% This file contains data from make_tex.m";
fprintf Data_file,"%o\n"," ";

fprintf Data_file,"%o\n","\\input epsf";
fprintf Data_file,"%o\n","\\hsize=14truecm";
fprintf Data_file,"%o\n","\\vsize=20truecm";
fprintf Data_file,"%o\n","\\voffset=1.5truecm";
fprintf Data_file,"%o\n","\\hoffset=1.2truecm";
fprintf Data_file,"%o\n","\\normalbaselineskip=20truept plus 0.5pt";
fprintf Data_file,"%o\n","\\normalbaselines";
fprintf Data_file,"%o\n","\\parskip=4truept plus .5pt";
fprintf Data_file,"%o\n","\\hbadness=12000";
fprintf Data_file,"%o\n","\\tolerance=1300";
fprintf Data_file,"%o\n\n","\\nopagenumbers";
fprintf Data_file,"%o\n","\\pdfcatalog{/PageMode /UseNone /OpenAction /fit}";
fprintf Data_file,"%o\n","\\def\\image#1{\\pdfximage{#1.pdf}\\pdfrefximage\\pdflastximage}";

for i := 1 to #fund_data do
 level := IntegerToString(fund_data[i,3]);
 label := fund_data[i,4];
 genus := IntegerToString(fund_data[i,5]);
 f := IntegerToString(fund_data[i,6]);
 width := fund_data[i,9,1,2];

 name := level cat "_" cat label cat "_" cat genus cat "_" cat f ;
 tex_name := "$" cat level cat label cat "^{" cat genus cat "}_{" cat f cat "}$";
 filename := "fund_" cat name;
 // modify to change directory
 full_filename := "" cat filename;

 fprintf Data_file,"\\image{%o}\n",full_filename;

 fprintf Data_file,"%o\n",tex_name;
 fprintf Data_file,"\\vfill\\eject\n\n";

end for;
 fprintf Data_file,"\\end\n\n";
////////////////////////////////////////////////////////////
