////////////////////////////////////////////////////////////
// simplify x+y*sqrt(e)  with li:=[x,y,e].
//
// Used to simplify the expressions for points.
////////////////////////////////////////////////////////////
psimp:=function(li);

x:=li[1];
y:=li[2];
e:=li[3];

if not(e in Integers()) then
 n:=Integers()!Numerator(e);
 d:=Integers()!Denominator(e);
 if d lt 0 then
  n:=-n;
  d:=-d;
 end if;
 return $$([x,y/d,Integers()!(n*d)]);
end if;

//bug in magma, e in integers, but Squarefree
//does not see this

if e in Integers() then e:=Integers()!e; end if;

r,s:=Squarefree(e);

xn:=x;
yn:=s*y;
en:=r;

if en eq 1 then 
 return [xn+yn,0,Integers()!1];
else
 return [xn,yn,Integers()!en];
end if;

end function;//of psimp
////////////////////////////////////////////////////////////


