////////////////////////////////////////////////////////////
// More functions for working in Q(sqrt(2),sqrt(3),sqrt(5),...)
////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////
// ptest(a,b,c,e1,e2) returns the sign of a+b*(e1)^(1/2)+c*(e2)^(1/2)
// where a,b and c are rationals, and e1,e2 are squarefree integers
// with e1,e2 >=1.
// Calculation is done by finding rational upper and lower bounds
// for the expression. No real approximations are used. 
////////////////////////////////////////////////////////////
ptest:=function(a,b,c,e1,e2);

c,q:=quadsimp([a,b,c],[1,e1,e2]);

return quadptest(c,q);

end function;//of ptest
////////////////////////////////////////////////////////////


