CongSubGrpEx := recformat<
                      f:Integers(),
                      fullmatgens:SeqEnum,//from pairing of sides of fund domain     
                      ramification_classes:SeqEnum,  
                      level:Integers(), 
                      genus:Integers(),
                      index:Integers(),
		      area:Rationals(),//area of fund domain divided by Pi
                      minus_one:GrpPermElt,
		      u1:Integers(),//left bound of fundamental domain
		      u2:Integers(),//right bound of fundamental domain
		      bounding_circles:SeqEnum,//bounding circles of fundamental domain
		      pairing:SeqEnum,//pairing of bounding cirlcles by group
		      vertex_orbits:SeqEnum,//orbits of vertices, excluding infinity
                      label:MonStgElt,//label for group
                      N_label:MonStgElt//Norton's label, if applicable

>;

CongSubGrpPerm := recformat<
                      group:GrpPerm,
                      fullmatgens:SeqEnum,
                      localgroup:GrpPerm,
                      f:Integers(), //f
                      n:Integers(),
                      level:Integers(),  //n
                      parent_level:Integers(),
                      generators:SeqEnum,  //permutations   
                      wgenerators:SeqEnum, //generators as words
              //        ramification_classes:SeqEnum,  //permutations
                      ramification_classes:SetMulti,  //permutations
                      ramification:SeqEnum,
                      genus:Integers(),
                      index:Integers(),
                      Gfnp:SeqEnum,
                      minus_one:GrpPermElt,
                      plus_orbits:SeqEnum,// lengths of <[1,1,0,1]> on G/H cosets
                      minus_orbits:SeqEnum,// lengths of <\pm [1,1,0,1]> on G/H cosets
                      regular_widths:SeqEnum,// widths of regular cusps
                      irregular_widths:SeqEnum,// widths or irregular cusps
                      irregular:BoolElt //true if -1 is not in the group
>;
MatGrpRec := recformat<
                      group:GrpMat,
                      generators:SeqEnum,   
                      ramification_classes:SeqEnum   
>;


